import { Base, INotifyPropertyChanged, IEnumerable, Type, PropertyChangedEventArgs } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { IDomainChartWidget } from "./IDomainChartWidget";
import { XamDataChart } from "./XamDataChart";
import { DataSeriesAdapterImplementation } from "igniteui-react-core";
import { DataSeriesType } from "igniteui-react-core";
import { IDataSeriesAdapterRule } from "igniteui-react-core";
import { MarkerType } from "./MarkerType";
import { IAnnotationLayerProxy } from "./IAnnotationLayerProxy";
import { Color } from "igniteui-react-core";
import { BrushCollection } from "igniteui-react-core";
import { IChartLegend } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { HorizontalAlignment } from "igniteui-react-core";
import { UnknownValuePlotting } from "igniteui-react-core";
import { SeriesOutlineMode } from "./SeriesOutlineMode";
import { MarkerOutlineMode } from "./MarkerOutlineMode";
import { MarkerFillMode } from "./MarkerFillMode";
import { MarkerTypeCollection } from "./MarkerTypeCollection";
import { TrendLineType } from "igniteui-react-core";
import { ComputedPlotAreaMarginMode } from "./ComputedPlotAreaMarginMode";
import { SeriesHighlightingMode } from "./SeriesHighlightingMode";
import { SeriesHighlightingBehavior } from "./SeriesHighlightingBehavior";
import { LegendHighlightingMode } from "./LegendHighlightingMode";
import { ToolTipType } from "./ToolTipType";
import { CrosshairsDisplayMode } from "./CrosshairsDisplayMode";
import { Series } from "./Series";
import { DataSeries } from "igniteui-react-core";
import { ObservableColorCollection } from "igniteui-react-core";
import { DataSeriesMarker } from "igniteui-react-core";
import { ChartSeriesEventArgs } from "./ChartSeriesEventArgs";
import { DomainChartSeriesPointerEventArgs } from "./DomainChartSeriesPointerEventArgs";
import { CalloutStyleUpdatingEventArgs } from "./CalloutStyleUpdatingEventArgs";
/**
 * @hidden
 */
export declare abstract class DomainChart extends Base implements INotifyPropertyChanged {
    static $t: Type;
    protected ed: any;
    provideContainer(a: any): void;
    destroy(): void;
    private hr;
    protected hs(): void;
    protected ho(a: XamDataChart): void;
    protected hl(): void;
    protected hu(a: Series, b: number): void;
    protected ie(a: string, b: any, c: any): void;
    private ec;
    tooltipTemplate: any;
    private cf;
    tooltipTemplates: List$1<any>;
    private cw;
    dj: number;
    private eb;
    private toolTip;
    private c9;
    dx: number;
    private da;
    dy: number;
    private db;
    dz: number;
    private c8;
    dw: number;
    private c4;
    ds: number;
    private c6;
    du: number;
    private c5;
    dt: number;
    private c3;
    dr: number;
    private i9;
    jf: Brush;
    private ja;
    jg: Brush;
    private cu;
    protected get_dh(): number;
    protected set_dh(a: number): void;
    dh: number;
    private dc;
    d0: number;
    private c2;
    dq: number;
    private ct;
    dg: number;
    private d6;
    d9: number;
    private be;
    bf: (time: number) => number;
    protected hp(a: XamDataChart): void;
    protected hv(a: Series, b: number): void;
    protected hm(): void;
    private hw;
    d2: (arg1: HTMLElement) => any[];
    private i3;
    private ef;
    private cc;
    private d3;
    protected ig(a: string, b: any, c: any): void;
    private ah;
    ai: IDomainChartWidget;
    private eq;
    gi: string;
    private es;
    gt: string;
    private bc;
    dataChart: XamDataChart;
    x: DataSeriesAdapterImplementation;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    constructor();
    protected hq(): void;
    protected abstract readonly cl: List$1<DataSeriesType>;
    protected abstract readonly ck: List$1<IDataSeriesAdapterRule>;
    protected cj: List$1<MarkerType>;
    protected b8(a: DataSeriesType): boolean;
    notifyResized(): void;
    h4(): void;
    hg(): void;
    hj(): void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    protected il(a: string): void;
    protected hh(a: (arg1: Series) => void): void;
    protected hi(a: (arg1: Series, arg2: number) => void): void;
    protected h6(a: (arg1: XamDataChart) => void): void;
    protected h7(a: (arg1: XamDataChart) => void, b: boolean): void;
    protected h8(a: (arg1: XamDataChart) => void, b: boolean, c: string): void;
    protected b9(a: DataSeries): boolean;
    protected b4(): boolean;
    private static readonly ek;
    private d5;
    protected fi(a: DataSeries): string;
    protected fj(a: DataSeries, b: DataSeriesType): string;
    protected abstract w(a: DataSeries): DataSeriesType;
    protected abstract ay(a: DataSeries, b: DataSeriesType): Series;
    fh(): string;
    private b6;
    protected ix(): void;
    protected az(seriesType_: DataSeriesType): Series;
    private at;
    private av;
    private aw;
    private ax;
    private au;
    private ad;
    protected readonly ae: IAnnotationLayerProxy;
    private readonly b2;
    private b3;
    private i4;
    protected ch(a: string, b: boolean): List$1<Series>;
    protected i2(a: Series, b: Series, c: DataSeries): void;
    protected abstract iw(a: DataSeries): void;
    protected abstract iv(a: DataSeries): void;
    protected iz(): void;
    private i0;
    protected i1(a: Series): void;
    protected abstract iy(): void;
    private h9;
    protected he(): void;
    protected jb(a: number): Brush;
    protected je(a: number): Brush;
    protected jc(a: number): Brush;
    protected jd(a: number): Brush;
    protected jh(a: number): Color;
    protected bg(a: Color): ObservableColorCollection;
    protected k(a: Color): BrushCollection;
    protected ce: List$1<Color>;
    protected readonly cg: List$1<Color>;
    ee(): any;
    hx(a: string, b: string): void;
    hy(a: string, b: string, c: Series): void;
    ap(a: DataSeriesMarker): MarkerType;
    h3(source_: any, a: number, b: any, c: any): void;
    hz(source_: any): void;
    h0(source_: any, a: number, b: any): void;
    h1(source_: any, a: number, b: any): void;
    seriesAdded: (sender: any, args: ChartSeriesEventArgs) => void;
    im(a: Series): void;
    seriesRemoved: (sender: any, args: ChartSeriesEventArgs) => void;
    it(a: Series): void;
    seriesPointerEnter: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    ip(a: Series, b: any): void;
    seriesPointerLeave: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    iq(a: Series, b: any): void;
    seriesPointerMove: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    ir(a: Series, b: any): void;
    seriesPointerDown: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    io(a: Series, b: any): void;
    seriesPointerUp: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    is(a: Series, b: any): void;
    calloutStyleUpdating: (sender: any, args: CalloutStyleUpdatingEventArgs) => void;
    ik(a: any, b: CalloutStyleUpdatingEventArgs): void;
    private ci;
    ii(a: () => void): void;
    private bh;
    ij(a: () => void, b: boolean): {
        p1?: boolean;
    };
    protected get_ca(): boolean;
    protected readonly ca: boolean;
    protected hn(a: XamDataChart): void;
    protected ht(a: Series, b: number): void;
    protected abstract hc(): void;
    protected readonly bw: boolean;
    private bk;
    protected hf(): void;
    protected hk(): void;
    protected iu(a: XamDataChart): void;
    private hb;
    protected abstract ha(a: Series, b: number): void;
    protected aq(a: Series, b: number): MarkerType;
    protected id(a: string, b: any, c: any): void;
    private ib;
    private co;
    itemsSource: IEnumerable;
    private b;
    d: string[];
    private a;
    c: string[];
    private e;
    j: BrushCollection;
    private h;
    n: BrushCollection;
    private af;
    legend: IChartLegend;
    private bq;
    protected get_b5(): boolean;
    protected set_b5(a: boolean): void;
    b5: boolean;
    private bs;
    protected get_cb(): boolean;
    protected set_cb(a: boolean): void;
    cb: boolean;
    private br;
    protected get_b7(): boolean;
    protected set_b7(a: boolean): void;
    b7: boolean;
    private ji;
    jk: Rect;
    readonly jj: Rect;
    private er;
    gm: string;
    private ep;
    gb: string;
    private i6;
    i8: HorizontalAlignment;
    private i5;
    i7: HorizontalAlignment;
    private ba;
    bb: UnknownValuePlotting;
    private c1;
    protected get_dp(): number;
    protected set_dp(a: number): void;
    dp: number;
    private c7;
    dv: number;
    private a4;
    a5: SeriesOutlineMode;
    private an;
    ao: MarkerOutlineMode;
    private al;
    am: MarkerFillMode;
    private cv;
    di: number;
    private ar;
    as: MarkerTypeCollection;
    private f;
    l: BrushCollection;
    private g;
    m: BrushCollection;
    private d4;
    d8: number;
    private bj;
    bv: boolean;
    private i;
    o: BrushCollection;
    private a8;
    a9: TrendLineType;
    private dd;
    d1: number;
    private bi;
    bu: boolean;
    private cy;
    dl: number;
    private c0;
    dn: number;
    private cz;
    dm: number;
    private cx;
    dk: number;
    protected ic(): void;
    private s;
    t: ComputedPlotAreaMarginMode;
    private a2;
    a3: SeriesHighlightingMode;
    private a0;
    a1: SeriesHighlightingBehavior;
    private aj;
    ak: LegendHighlightingMode;
    private bt;
    cd: boolean;
    private cr;
    de: number;
    private cs;
    df: number;
    private d7;
    ea: number;
    private a6;
    a7: ToolTipType;
    private u;
    v: CrosshairsDisplayMode;
    private bo;
    b0: boolean;
    private bn;
    bz: boolean;
    private bp;
    b1: boolean;
    private bm;
    by: boolean;
    private bl;
    bx: boolean;
    private cn;
    calloutsItemsSource: IEnumerable;
    private en;
    e6: string;
    private eo;
    e8: string;
    private em;
    e2: string;
    private el;
    ez: string;
}
